from ngSkinTools2.python_compatibility import Object
from PySide2 import QtWidgets, QtCore
from ngSkinTools2.ui import qt


def createTitledRow(title, contents):
    row = QtWidgets.QFormLayout()
    row.setMargin(0)
    label = QtWidgets.QLabel(title)
    # label.setAlignment(QtCore.Qt.AlignRight |QtCore.Qt.)
    label.setFixedWidth(100)

    if contents == None:
        row.addRow(label, QtWidgets.QWidget())
        return row

    row.addRow(label, contents)
    return row


class TabSetup(Object):
    def __init__(self):
        self.innerLayout = innerLayout = QtWidgets.QVBoxLayout()
        innerLayout.setMargin(0)
        innerLayout.setSpacing(3)

        self.scrollArea = scrollArea = QtWidgets.QScrollArea()
        scrollArea.setFocusPolicy(QtCore.Qt.NoFocus)
        scrollArea.setFrameShape(QtWidgets.QFrame.NoFrame)
        scrollArea.setWidget(qt.wrapLayoutIntoWidget(innerLayout))
        scrollArea.setWidgetResizable(True)

        self.lowerButtonsRow = lowerButtonsRow = QtWidgets.QHBoxLayout()

        self.mainLayout = mainLayout = QtWidgets.QVBoxLayout()
        mainLayout.addWidget(scrollArea)
        mainLayout.addLayout(lowerButtonsRow)
        mainLayout.setMargin(7)

        self.tabContents = qt.wrapLayoutIntoWidget(mainLayout)
